class Program {
    public static double Mehurcek(int n, double r) { // stopnja strukture in dolžina polmera
      if (n == 1) return 2 * Math.PI * r; // obseg osnovnega mehurčka poznamo
      // novi manjši polmer določimo s pomočjo diagonale kvadrata (d = r * koren iz 2)
      double r1 = Math.Sqrt(r / Math.Sqrt(2)); // izračunamo naš novi polmer (r = R - d)
      return (2 * Math.PI * r) + 4 * Mehurcek(n - 1, r1); // rekurzija - star + 4 novi krogi z manjšim polmerom
    }
    // preizkus metode
    public static void Main(string[] args) {
      Console.WriteLine(Mehurcek(3,1));
      Console.WriteLine();
      Console.Write("Press any key to continue . . . ");
      Console.ReadKey(true);
    }
  }
